Page MenuHomePhabricator

Enable phan checks for WikibaseLexeme extension
Closed, ResolvedPublic3 Estimated Story Points

Description

Currently, WikibaseLexeme extension does not seem to have phan checks enabled. This means, among other things, that if its dependencies change, it may not be properly updated. This recently caused T215503 for example.

We need to enable phan check (extension-phan template) in Lexeme's CI build. Due to dependencies on CirrusSearch, we may need to take special measures (see Wikibase and WikibaseCirrusSearch) to make it work properly.

Rules that do not initially work should be disabled and they will be tackled separately.
Any terrible things that are spotted while doing this should not be done as part of this ticket.

Acceptance criteria
The job should be Voting and Passing on CI.

Event Timeline

Smalyshev created this task.Feb 7 2019, 9:30 PM
Restricted Application added a project: Wikidata. · View Herald TranscriptFeb 7 2019, 9:30 PM
Addshore moved this task from incoming to ready to go on the Wikidata board.Feb 8 2019, 12:09 PM
Addshore moved this task from ready to go to consider for next sprint on the Wikidata board.
Addshore triaged this task as Low priority.Feb 8 2019, 12:18 PM
Addshore added a project: Wikidata-Campsite.
Addshore moved this task from Incoming to Ready to estimate on the Wikidata-Campsite board.

Change 493024 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/extensions/WikibaseLexeme@master] Add phan config file

https://gerrit.wikimedia.org/r/493024

Addshore updated the task description. (Show Details)Feb 26 2019, 4:00 PM
Addshore set the point value for this task to 3.
Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptFeb 26 2019, 4:11 PM

Change 493061 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[integration/config@master] Enable phan for WikibaseLexeme

https://gerrit.wikimedia.org/r/493061

Change 493024 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Add phan config file

https://gerrit.wikimedia.org/r/493024

Change 493061 merged by jenkins-bot:
[integration/config@master] Enable phan for WikibaseLexeme

https://gerrit.wikimedia.org/r/493061

Umherirrender closed this task as Resolved.Mar 16 2019, 9:54 PM